<?xml version="1.0" encoding="UTF-8"?>
<decorators defaultdir="/WEB-INF/common/layouts/">
    <excludes>
        <pattern>/common/*</pattern>
        <pattern>/api/*</pattern>
        <pattern>/oaLogin*</pattern>
        <pattern>/login*</pattern>
        <pattern>/error</pattern>
        <pattern>/error/*</pattern>
        <pattern>/CKEdit</pattern>
        <pattern>/CKEdit/*</pattern>
        <pattern>*/ajax/*</pattern>
        <pattern>*/ajax*</pattern>
        <pattern>*/getReport/*</pattern>
        <pattern>/department/inner</pattern>
        <pattern>/department/tree*</pattern>
        <pattern>/department/Simple*</pattern>
        <pattern>/basetree/inner*</pattern>
        <pattern>/basetree/modalTree*</pattern>
        <pattern>/basetree/tree*</pattern>
        <pattern>/basetree/Simple*</pattern>
        <pattern>/project/assign*</pattern>
        <pattern>/customer/assign*</pattern>
        <pattern>/rushcustomer/assign*</pattern>
        <pattern>/customer/trans*</pattern>
        <pattern>/project/addAttach*</pattern>
        <pattern>/customermanagement/callCustomer*</pattern>
        <pattern>/evaluateusercustomerlog/evaluate*</pattern>
        <pattern>/userprojectrecommend/recommend*</pattern>
        <pattern>/externalcustomer/callCustomer*</pattern>
        <pattern>/cloudactivity/assign*</pattern>
    </excludes>
    <decorator name="section" page="section.jsp">
        <pattern>/**/*Section</pattern>
        <pattern>/**/*Section/**</pattern>
    </decorator>

    <decorator name="default" page="default.jsp">
        <pattern>/*</pattern>
    </decorator>

    <decorator name="home" page="frame.jsp">
        <pattern>/home</pattern>
    </decorator>

    <decorator name="innerSiteMesh" page="innerSiteMesh.jsp">
        <pattern>/department/main</pattern>
        <pattern>/basetree/main</pattern>
    </decorator>

    <decorator name="transferDeptSiteMesh" page="userSiteMesh.jsp">
        <pattern>/department/transferDept</pattern>
        <pattern>/basetree/transferNode</pattern>
    </decorator>

    <decorator name="userSiteMesh" page="userSiteMesh.jsp">
        <pattern>/user/*</pattern>
    </decorator>

    <decorator name="userDetailSiteMesh" page="default.jsp">
        <pattern>/user/detail*</pattern>
    </decorator>

    <decorator name="deptSiteMesh" page="userSiteMesh.jsp">
        <pattern>/department/update*</pattern>
        <pattern>/basetree/update*</pattern>
        <pattern>*/treeList*</pattern>
    </decorator>

    <decorator name="deptDetailMesh" page="userSiteMesh.jsp">
        <pattern>/department/detail*</pattern>
        <pattern>/basetree/detail*</pattern>
    </decorator>

</decorators>
